module SkirentalWebFrontend
    class SitemapController < ApplicationController
        def index

            client = Storyblok::Client.new(
                logger: logger,
                cache_version: Time.now.to_i,
                token: Rails.application.config.storyblok[:CMS_API_TOKEN],
                version: Rails.application.config.storyblok[:VERSION]
            )

            tree = client.tree

            @pages = [] #['', 'about.html', 'contacts.html']

            tree.each do |key, item|
                @pages.push item['item']['slug']

                if !item['children'].empty?
                    item['children'].each do |inner_key, inner_item|
                        @pages.push  inner_item['item']['slug']
                    end
                end

            end
            @products = nil

            respond_to do |format|
                format.xml
            end
        end
    end
end
